Author Topic: WB 283 SP7 - Fehler im Code 3.0.0 Modul  (Read 994 times)

Offline Tomno399

  • Posts: 211
WB 283 SP7 - Fehler im Code 3.0.0 Modul
« on: September 20, 2016, 05:16:44 PM »
WB 283 SP7 installiert auf XAMPP PHP 7.0.6

Bei der Benutzung des integrierten Moduls "Code_3.0.0" erscheint auf der Backendseite folgende Fehlermeldung (E_ALL):

Quote
There was an uncatched exception
Call to a member function fetchRow() on null
in line (43) of (\modules\code\modify.php)


Offline jacobi22

  • Posts: 5685
  • Gender: Male
  • Support also via PM or EMail
    • Jacobi22
Re: WB 283 SP7 - Fehler im Code 3.0.0 Modul
« Reply #1 on: September 20, 2016, 05:27:54 PM »
da liegt der Fehler sicher etwas tiefer, möglicherweise wurde die Section nicht in der Modul-Tabelle eingetragen. Könntest du checken, ob es eine Tabelle <<DEIN_TABLE-PREFIX>>mod_code gibt und, wenn JA, ob dort die angewählte Section eingetragen ist

Anbei ein Bild zum Erklären



32 wäre hier die Section-ID, 3 die Page-ID - diese Daten müßten mit der Übersicht im Backend übereinstimmen

Probleme sind da, um sie zu lösen, nicht, um nach Ausreden zu suchen.

Offline Tomno399

  • Posts: 211
Re: WB 283 SP7 - Fehler im Code 3.0.0 Modul
« Reply #2 on: September 21, 2016, 06:18:52 PM »
Entwarnung: Das Modul Code war gar nicht installiert! Habe es jetzt unter "Erweitert" mit der "install.php" installiert.

Stutzig macht allerdings: Es war eine WB 283 SP6 installiert, die komplett mit WB 283 SP7 überschrieben wurde und durch Einloggen als Administrator mit dem upgrade-script.php aktualisiert wurde. Eine Fehlermeldung beim Script sah ich nicht.

 

postern-length